Bug 757274 - Unhandled type: REGEXP at ../Devel/Cycle.pm line 107.
Summary: Unhandled type: REGEXP at ../Devel/Cycle.pm line 107.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Devel-Cycle
Version: 14
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-26 04:58 UTC by Ralf Corsepius
Modified: 2011-12-10 20:07 UTC (History)
3 users (show)

Fixed In Version: perl-Devel-Cycle-1.11-7.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-10 19:39:21 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
CPAN 56681 0 None None None Never

Description Ralf Corsepius 2011-11-26 04:58:21 UTC
Description of problem:

perl-HTML-Mason's testsuite raises this warning:
...
t/22-path-security.t ............... ok
Unhandled type: REGEXP at /usr/share/perl5/vendor_perl/Devel/Cycle.pm line 107.
t/23-leak2.t ....................... ok
...

Version-Release number of selected component (if applicable):
All versions of perl-HTML-Mason-1.45 in all active versions of Fedora (Currently F14, F15, F16, rawhide).

How reproducible:
100%

Steps to Reproduce:
1. Rebuild the perl-HTML-Mason-1.45 rpm
  
Actual results:
c.f. above

Expected results:
No warning.

Additional info:
Googling for "Unhandled type: REGEXP at Devel/Cycle.pm line 107."
points to more such cases.

Cpan has a bug filed on this:
https://rt.cpan.org/Public/Bug/Display.html?id=56681
which tells, this was a side-effect of a perl-5.12 incompatibility and contains a fix proposal.

Comment 1 Ralf Corsepius 2011-11-26 05:00:19 UTC
Correction:
Version-Release number of selected component:
All versions of perl-Devel-Cycle in F14, F15, F16, rawhide.

Comment 2 Petr Šabata 2011-11-28 13:52:17 UTC
I see no reason why upstream shouldn't accept this patch (once they get to it).
I think it's safe to include this in Fedora.

Comment 3 Ralf Corsepius 2011-11-28 14:02:11 UTC
(In reply to comment #2)
> I see no reason why upstream shouldn't accept this patch (once they get to it).
Provided this CPAN ticket is > 1.5 years old, I am inclined to believe upstream is dead.

> I think it's safe to include this in Fedora.
So do I. Who's going to apply the patch?

Comment 4 Petr Šabata 2011-11-28 14:18:30 UTC
(In reply to comment #3)
> > I think it's safe to include this in Fedora.
> So do I. Who's going to apply the patch?

I'm on it...

Comment 5 Fedora Update System 2011-11-28 14:44:24 UTC
perl-Devel-Cycle-1.11-8.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-Devel-Cycle-1.11-8.fc16

Comment 6 Fedora Update System 2011-11-28 14:46:45 UTC
perl-Devel-Cycle-1.11-7.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-Devel-Cycle-1.11-7.fc15

Comment 7 Fedora Update System 2011-11-28 14:47:11 UTC
perl-Devel-Cycle-1.11-5.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Devel-Cycle-1.11-5.fc14

Comment 8 Fedora Update System 2011-11-29 00:01:52 UTC
Package perl-Devel-Cycle-1.11-5.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-Devel-Cycle-1.11-5.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16493/perl-Devel-Cycle-1.11-5.fc14
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2011-12-10 19:39:21 UTC
perl-Devel-Cycle-1.11-8.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-12-10 19:56:08 UTC
perl-Devel-Cycle-1.11-5.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-12-10 20:07:49 UTC
perl-Devel-Cycle-1.11-7.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.